/* CSS file */
@namespace s "library://ns.adobe.com/flex/spark";
@namespace mx "library://ns.adobe.com/flex/mx";

.grid
{
	horizontalGap:5;
	verticalGap:5;
	paddingBottom:10;
	paddingLeft:10;
	paddingRight:10;
	paddingTop:10;
} 

.gridCompactado
{
	horizontalGap:0;
	verticalGap:0;
	paddingBottom:0;
	paddingLeft:0;
	paddingRight:0;
	paddingTop:0;
	margin: 0;
}

.gridCompactadoHorizontal
{
	horizontalGap:1;
	verticalGap:5;
	paddingBottom:0;
	paddingLeft:0;
	paddingRight:0;
	paddingTop:0;
	margin: 0;
}

.gridCompactadoVertical
{
	horizontalGap:5;
	verticalGap:2;
	paddingBottom:0;
	paddingLeft:5;
	paddingRight:5;
	paddingTop:5;
	margin: 5;
}


.inputTextReadOnly
{
	horizontalGap:0;
	verticalGap:0;
	paddingBottom:0;
	paddingLeft:0;
	paddingRight:0;
	paddingTop:0;
	verticalAlign:midle;
	horizontalAlign:center;
	fontSize:6;
	
}

.textInputGradeA
{
	contentBackgroundColor:#0080FF;
	color:#FFFFFF;
	fontWeight:bold;
}
.textInputGradeB
{
	contentBackgroundColor:#FF0040;
	color:#FFFFFF;
	fontWeight:bold;
}
.textInputGradeC
{
	contentBackgroundColor:#0B614B;
	color:#FFFFFF;
	fontWeight:bold;
}

.textInputGradeAInvertida
{
	contentBackgroundColor:#FFFFFF;
	color:#0080FF;
	fontWeight:bold;
}
.textInputGradeBInvertida
{
	contentBackgroundColor:#FFFFFF;
	color:#FF0040;
	fontWeight:bold;
}
.textInputGradeCInvertida
{
	contentBackgroundColor:#FFFFFF;
	color:#0B614B;
	fontWeight:bold;
}



.gridLabel
{
	horizontalAlign:right;
	verticalAlign:bottom;
}

.gridValor
{
	horizontalAlign:left;
	verticalAlign:bottom;
	
}

.gridLabelValor
{
	horizontalAlign:left;
	verticalAlign:bottom;
	fontWeight:bold;	
}

.textInputObrigatorio
{
	contentBackgroundColor: #FFFACD;
}

.textAreaObrigatorio
{
	contentBackgroundColor: #FFFACD;
}

.comboBoxObrigatorio
{
	contentBackgroundColor: #FFFACD;
}

.labelValidacao
{
	color:red;
	fontSize:10; 
}

.labelAutoComplete
{
	color:#0404B4;
	fontSize:10; 
}

                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   